#
# Crystal Chips BootManager USB HDD driver script. v1.2
#

KEEP

SET "TITLE" "USB HDD"

IF EQU "$BM.CNF_LANGUAGE$" "1"
    # Spanish
    SET "DEV_DESC" "USB Hard Drive/Pendrive"
ELSEIF EQU "$BM.CNF_LANGUAGE$" "2"
    # French
    SET "DEV_DESC" "USB Hard Drive/Pendrive"
ELSEIF EQU "$BM.CNF_LANGUAGE$" "3"
    # German
    SET "DEV_DESC" "USB Festplatte oder Stick"
ELSEIF EQU "$BM.CNF_LANGUAGE$" "4"
    # Italian
    SET "DEV_DESC" "HDD USB o penna USB"
ELSE
    # Default to english
    SET "DEV_DESC" "USB Hard Drive/Pendrive"
ENDIF

# Do not change this.
GOTO "$ARG1$"
RETURN "-1"

:QUERY
    ADDWIDGET "CALL" "$TITLE$" "$DEV_DESC$" $ARG2$ "$ARG0$" "$ARG3$" "$ARG4$" "$ARG5$"
    RETURN "0"

:IF_QUERY
    IF EXISTS "mass:/"
        ADDWIDGET "CALL" "$TITLE$" "$DEV_DESC$" $ARG2$ "mass" "$ARG3$" "$ARG4$" "$ARG5$"
    ENDIF
    RETURN "0"


:CHECK_PRESENT
    RETURN 0

    IF EXISTS "mass:/"
        IF NEQ "$BM.MASS_PRESENT$" "1"
            LOADEXEC "PBAT" "$BM.SCRIPTS$/BMCONT.PBT" "CHECK" "mass"
            SET "BM.MASS_PRESENT" "1"
        ENDIF
    ELSEIF EQU "$BM.MASS_PRESENT$" "1"
        SET "BM.MASS_PRESENT" "0"
    ENDIF
    RETURN 0

:CHECK
    IF MATCHES "mass:*" "$ARG2$"
        SET "$ARG3$" "$ARG0$"
    ENDIF

    RETURN 0

:INSTALL
    IF FAIL COPY "$PWD$" "$ARG2$/USBHDD"
        MESSAGE "Failed installing $TITLE$!"
        RRM "$ARG2$/USBHDD"
        RETURN -1
    ENDIF
    EXIT 0
:REMOVE
    RRM "$PWD$"
    EXIT "0"

:LOAD
    IF FAIL LOADEXEC "IRX" "$BM.DRIVER_PATH$/USBD.IRX"
        RETURN -1
    ELSEIF FAIL LOADEXEC "IRX" "$BM.DRIVER_PATH$/USBHDFSD.IRX"
        RETURN -1
    ENDIF

    RETURN 0

:LOADEXEC
    LOADEXEC "EEELF" "moduleload" $BM.DRIVER_DEV_DRIVERS$ "-m $BM.DRIVER_PATH$/USBD.IRX" "-m $BM.DRIVER_PATH$/USBHDFSD.IRX" "$ARG2$" $ARG3$
    EXIT "0"
